DocIdSet (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.DocIdSet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class DocIdSet

    java.lang.Object
      org.apache.lucene.search.DocIdSet

Direct Known Subclasses:
  DocIdBitSet, FieldCacheDocIdSet, FilteredDocIdSet, FixedBitSet, OpenBitSet, SortedVIntList

    public abstract class DocIdSet

extends Object

A DocIdSet contains a set of doc ids. Implementing classes must only implement `iterator()` to provide access to the set.

Field Summary
`static DocIdSet` | `EMPTY_DOCIDSET` An empty `DocIdSet` instance for easy use, e.g.

Constructor Summary
`DocIdSet()`

Method Summary
`boolean` | `isCacheable()` This method is a hint for `CachingWrapperFilter`, if this `DocIdSet` should be cached without copying it into a BitSet.
`abstract DocIdSetIterator` | `iterator()` Provides a `DocIdSetIterator` to access the set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_DOCIDSET

    public static final DocIdSet EMPTY_DOCIDSET

  An empty `DocIdSet` instance for easy use, e.g. in Filters that hit no documents.

Constructor Detail

### DocIdSet

    public DocIdSet()

Method Detail

### iterator

    public abstract DocIdSetIterator iterator()
                                       throws IOException

  Provides a `DocIdSetIterator` to access the set. This implementation can return `null` or `EMPTY_DOCIDSET.iterator()` if there are no docs that match.

  Throws:
    `IOException`

### isCacheable

    public boolean isCacheable()

  This method is a hint for `CachingWrapperFilter`, if this `DocIdSet` should be cached without copying it into a BitSet. The default is to return `false`. If you have an own `DocIdSet` implementation that does its iteration very effective and fast without doing disk I/O, override this method and return `true.

  `

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD